QGIS Application - Bug report #724
new compile error: error: conversion from ‘size_t' to ‘QChar' is ambiguous
2007-06-04 01:45 PM - Markus Neteler

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No
Operating System: RedHat Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 10783
Description

Hi,

since one week or so QGIS no longer compiles for me (RHEL4, 64bit). QT 4.2.2:

[ 8%] Building CXX object src/core/CMakeFiles/qgis_core.dir/qgsproject.o
/ssi0/ssi/neteler/software/qgis_unstable/src/core/qgsproject.cpp: In member function @bool [[QgsProject]]::read()":
/ssi0/ssi/neteler/software/qgis_unstable/src/core/qgsproject.cpp:795: error: conversion from @size_t' to @QChar' is ambiguous
/usr/include/QtCore/gchar.h:277: note: candidates are: QChar::QChar(QChar::SpecialCharacter) <near match>

/usr/include/QtCore/qchar.h:276: note: QChar:QChar(int)
/usr/include/QtCore/qchar.h:275: note: QChar:QChar(uint)
/usr/include/QtCore/qchar.h:274: note: QChar::QChar(short int)
/usr/include/QtCore/gchar.h:56: note: QChar::QChar(ushort)
/usr/include/QtCore/gchar.h:52: note: QChar::QChar(uchar)
/usr/include/QtCore/qchar.h:51: note: QChar::QChar(char)

/ssi0/ssi/neteler/software/qgis_unstable/src/core/qgsproject.cpp:855: error: conversion from @size_t' to @QChar' is ambiguous
/usr/include/QtCore/qchar.h:277: note: candidates are: QChar::QChar(QChar::SpecialCharacter) <near match>

/usr/include/QtCore/qchar.h:276: note: QChar:QChar(int)
/usr/include/QtCore/qchar.h:275: note: QChar::QChar(uint)
/usr/include/QtCore/qchar.h:274: note: QChar::QChar(short int)
/usr/include/QtCore/qchar.h:56: note: QChar::QChar(ushort)
/usr/include/QtCore/qchar.h:52: note: QChar::QChar(uchar)
/usr/include/QtCore/qchar.h:51: note: QChar::QChar(char)

maker2: *** [src/core/CMakeFiles/qgis_core.dir/qgsproject.o] Error 1
maker1: *** [src/core/CMakeFiles/qgis_core.dir/all] Error 2
make: *** [all] Error 2

Markus

History

#1 - 2007-08-05 01:09 PM - Martin Dobias
- Resolution set to fixed
- Status changed from Open to Closed

commit:4ee8f44e (SVN r7123) should fix that.

Martin
#2 - 2009-08-22 12:45 AM - Anonymous

Milestone Version 0.9 deleted
